Index: func_rand.c
===================================================================
--- func_rand.c	(revision 69004)
+++ func_rand.c	(working copy)
@@ -66,14 +66,11 @@
 
 		max_int = min_int;
 		min_int = tmp;
-		if (option_debug)
-			ast_log(LOG_DEBUG, "max<min\n");
+		ast_debug(1, "max<min\n");
 	}
 
 	response_int = min_int + (ast_random() % (max_int - min_int + 1));
-	if (option_debug)
-		ast_log(LOG_DEBUG, "%d was the lucky number in range [%d,%d]\n",
-			response_int, min_int, max_int);
+	ast_debug(1, "%d was the lucky number in range [%d,%d]\n", response_int, min_int, max_int);
 	snprintf(buffer, buflen, "%d", response_int);
 
 	ast_module_user_remove(u);
Index: func_db.c
===================================================================
--- func_db.c	(revision 69004)
+++ func_db.c	(working copy)
@@ -69,9 +69,7 @@
 	}
 
 	if (ast_db_get(args.family, args.key, buf, len - 1)) {
-		if (option_debug)
-			ast_log(LOG_DEBUG, "DB: %s/%s not found in database.\n", args.family,
-					args.key);
+		ast_debug(1, "DB: %s/%s not found in database.\n", args.family, args.key);
 	} else
 		pbx_builtin_setvar_helper(chan, "DB_RESULT", buf);
 
@@ -185,13 +183,10 @@
 	}
 
 	if (ast_db_get(args.family, args.key, buf, len - 1)) {
-		if (option_debug)
-			ast_log(LOG_DEBUG, "DB_DELETE: %s/%s not found in database.\n", args.family, args.key);
+		ast_debug(1, "DB_DELETE: %s/%s not found in database.\n", args.family, args.key);
 	} else {
 		if (ast_db_del(args.family, args.key)) {
-			if (option_debug)
-				ast_log(LOG_DEBUG, "DB_DELETE: %s/%s could not be deleted from the database\n", 
-					args.family, args.key);
+			ast_debug(1, "DB_DELETE: %s/%s could not be deleted from the database\n", args.family, args.key);
 		}
 	}
 	pbx_builtin_setvar_helper(chan, "DB_RESULT", buf);
Index: func_version.c
===================================================================
--- func_version.c	(revision 69004)
+++ func_version.c	(working copy)
@@ -76,9 +76,7 @@
 	}
 
 
-	if (option_debug)
-		ast_log(LOG_DEBUG, "VERSION returns %s result, given %s argument\n",
-			response_char, args.info);
+	ast_debug(1, "VERSION returns %s result, given %s argument\n", response_char, args.info);
 	snprintf(buffer, buflen, "%s", response_char);
 
 	ast_module_user_remove(u);
Index: func_strings.c
===================================================================
--- func_strings.c	(revision 69004)
+++ func_strings.c	(working copy)
@@ -146,8 +146,7 @@
 	if ((*args.str == ' ') || (*args.str == '\t'))
 		args.str++;
 
-	if (option_debug)
-		ast_log(LOG_DEBUG, "FUNCTION REGEX (%s)(%s)\n", args.reg, args.str);
+	ast_debug(1, "FUNCTION REGEX (%s)(%s)\n", args.reg, args.str);
 
 	if ((errcode = regcomp(&regexbuf, args.reg, REG_EXTENDED | REG_NOSUB))) {
 		regerror(errcode, &regexbuf, buf, len);
@@ -237,8 +236,7 @@
 	 * want them to be surprised by the result.  Hence, we prefer commas as the
 	 * delimiter, but we'll fall back to vertical bars if commas aren't found.
 	 */
-	if (option_debug)
-		ast_log(LOG_DEBUG, "array (%s=%s)\n", var, value2);
+	ast_debug(1, "array (%s=%s)\n", var, value2);
 	if (strchr(var, ','))
 		AST_NONSTANDARD_APP_ARGS(arg1, var, ',');
 	else
@@ -250,8 +248,7 @@
 		AST_STANDARD_APP_ARGS(arg2, value2);
 
 	for (i = 0; i < arg1.argc; i++) {
-		if (option_debug)
-			ast_log(LOG_DEBUG, "array set value (%s=%s)\n", arg1.var[i],
+		ast_debug(1, "array set value (%s=%s)\n", arg1.var[i],
 				arg2.val[i]);
 		if (i < arg2.argc) {
 			if (ishash) {
Index: func_iconv.c
===================================================================
--- func_iconv.c	(revision 69004)
+++ func_iconv.c	(working copy)
@@ -73,8 +73,7 @@
 
 	incount = strlen(args.text);
 
-	if (option_debug)
-		ast_log(LOG_DEBUG, "Iconv: \"%s\" %s -> %s\n", args.text, args.in_charset, args.out_charset);
+	ast_debug(1, "Iconv: \"%s\" %s -> %s\n", args.text, args.in_charset, args.out_charset);
 
 	cd = iconv_open(args.out_charset, args.in_charset);
 
